<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('aboutuspages', function (Blueprint $table) {
            $table->id();
            $table->string('top_title')->nullable();
            $table->string('top_heading')->nullable();
            $table->longText('description')->nullable();
            $table->string('shorttitle1')->nullable();
            $table->string('shorttitle2')->nullable();
            $table->string('our_mission_heading')->nullable();
            $table->longText('our_mission_Content')->nullable();
            $table->string('whychoose_title')->nullable();
            $table->longText('whychoose_description')->nullable();
            $table->longText('short_content1')->nullable();
            $table->longText('short_content2')->nullable();
            $table->longText('short_content3')->nullable();
            $table->longText('short_content4')->nullable();
            $table->longText('short_content5')->nullable();
            $table->string('service_area_title')->nullable();
            $table->string('service_area_subtitle')->nullable();
            $table->longText('service_area_content')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('aboutuspages');
    }
};
